%define	major	3
%define	libname	%mklibname kexiv %{major}
%define	libnamedev %mklibname kexiv %{major} -d
%define	oldlibname_dev %mklibname kexiv2 1 -d

Name: libkexiv2_3
Version: 0.1.7
Release: %mkrel 6
Summary: KDE library to manipulate EXIF/IPTC information using Exiv2 library
License: GPL
Group: System/Libraries
Source0: http://prdownloads.sourceforge.net/kipi/libkexiv2-%{version}.tar.bz2
URL: http://www.kipi-plugins.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-common
BuildRequires: qt3-devel
BuildRequires: kdebase3-devel
BuildRequires: libexiv-devel >= 0.12

%description
Libkexiv2 is a wrapper to Exiv2 library that allow to manipulate pictures
metadata as EXIF and IPTC.
This library is used by kipi-plugins, digiKam and others kipi host programs.

#-----------------------------------------------------------------------------

%package -n %{libname}
Summary: Libraries for %{name}
Group: System/Libraries
Obsoletes: %mklibname kexiv23

%description   -n %{libname}
%{libname} contains runtime libraries

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname -f %name.lang
%defattr(0644, root, root, 0755)
%{_kde3_libdir}/*.so.%{major}*

#-----------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary: Static libraries and headers for %{name}
Group: Development/C
Requires: %{libname}
Obsoletes: %{oldlibname_dev}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: libkexiv2_3-devel

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_kde3_libdir}/pkgconfig/libkexiv2.pc
%{_kde3_libdir}/*.la
%{_kde3_libdir}/*.so
%{_kde3_includedir}/*

#-----------------------------------------------------------------------------

%prep
%setup -q  -n libkexiv2-%{version}

%build
%configure_kde3

%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %name


%clean
rm -rf %buildroot



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.7-6mdv2009.0
+ Revision: 267823
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Helio Chissini de Castro <helio@mandriva.com> 0.1.7-5mdv2009.0
+ Revision: 209853
- More wrong conflicts...
- Finally, last step to solve the mess.
- Resolve package mess putting in proper places naming and provides/obsoletes..

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Better fix for previous commit
    - Fix error on %%post

  + Angelo Naselli <anaselli@mandriva.org>
    - Fixed spec file for libkexiv2_3 - kde3 applications
    - libkexiv2 for kde3 applications

* Fri May 09 2008 Helio Chissini de Castro <helio@mandriva.com> 0.1.7-3mdv2009.0
+ Revision: 205004
- Move to /opt

* Thu Apr 17 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.7-1mdv2009.0
+ Revision: 195445
- New version 0.1.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

* Sun Jan 20 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.6-8mdv2008.1
+ Revision: 155304
- removed osoleting old version to allow backporting

* Thu Jan 17 2008 Angelo Naselli <anaselli@mandriva.org> 0.1.6-7mdv2008.1
+ Revision: 154203
- Bump libkexiv21 from server
  Added "_" as separator between name and so major version

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-6mdv2008.1
+ Revision: 141735
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.6-5mdv2008.1
+ Revision: 138121
- Rebuilt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.6-4mdv2008.1
+ Revision: 112023
- Rebuild for new exiv2

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.6-3mdv2008.1
+ Revision: 111876
- Rebuild against new libexiv2

* Thu Oct 18 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.6-2mdv2008.1
+ Revision: 99949
- clean up description, thanks to Gilles Caulier

* Thu Oct 11 2007 Funda Wang <fundawang@mandriva.org> 0.1.6-1mdv2008.1
+ Revision: 96974
- New major
- New version 0.1.6

* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-4mdv2008.0
+ Revision: 50490
- Updated for new library policy (developer packages)

* Sun Jun 17 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-3mdv2008.0
+ Revision: 40613
- Added conflict with old libkexiv20 and libkexiv21-devel due
  to the libkexiv2.la file (for 2007.1 upgrading)

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.1.5-2mdv2008.0
+ Revision: 27605
- Moved la files to the right devel subpackage.

* Wed May 16 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.5-1mdv2008.0
+ Revision: 27202
- New version 0.1.5

* Mon May 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2008.0
+ Revision: 23805
- New Release 0.1.4

* Fri Apr 20 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.2-1mdv2008.0
+ Revision: 16237
- new version 0.1.2

